package com.muyu.access.data.mysql;

import com.muyu.access.data.base.BaseDataAbsSource;
import com.muyu.access.data.base.DataValue;
import lombok.extern.log4j.Log4j2;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Map;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: mysql数据源
 * @Version: 1.0
 */
@Log4j2
public class MySqlDataSource extends BaseDataAbsSource {

    @Override
    public DataValue getDataValue () {
        MySqlQuery query = getQuery();
        String dataSourceId = query.getDataSourceId();
        Connection connection = null;
        String sql = query.getSql();
        Map<String, Object> queryParams = query.getParams();
        log.info(sql);
        log.info(queryParams);

        try {
            PreparedStatement preparedStatement = connection.prepareStatement(sql);
            ResultSet resultSet = preparedStatement.getResultSet();
            if(resultSet.next()){
                DataValue.builder()
                        .key(resultSet.getCursorName())
                        .label("")
                        .value(resultSet.getObject(resultSet.getCursorName(), String.class))
                        .type("String");

            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
        return null;
    }

    @Override
    public DataValue[] getRow () {
        return new DataValue[0];
    }

    @Override
    public DataValue[][] getRows () {
        return new DataValue[0][];
    }
}
